libvisio::VSDStyles Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStyles Class Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDStyles ()
| VSDStyles (const VSDStyles &styles)=default
| ~VSDStyles ()
VSDStyles & | operator= (const VSDStyles &styles)=default
void | addLineStyle (unsigned lineStyleIndex, const VSDOptionalLineStyle &lineStyle)
void | addFillStyle (unsigned fillStyleIndex, const VSDOptionalFillStyle &fillStyle)
void | addTextBlockStyle (unsigned textStyleIndex, const VSDOptionalTextBlockStyle &textBlockStyle)
void | addCharStyle (unsigned textStyleIndex, const VSDOptionalCharStyle &charStyle)
void | addParaStyle (unsigned textStyleIndex, const VSDOptionalParaStyle &paraStyle)
void | addLineStyleMaster (unsigned lineStyleIndex, unsigned lineStyleMaster)
void | addFillStyleMaster (unsigned fillStyleIndex, unsigned fillStyleMaster)
void | addTextStyleMaster (unsigned textStyleIndex, unsigned textStyleMaster)
VSDOptionalLineStyle | getOptionalLineStyle (unsigned lineStyleIndex) const
VSDFillStyle | getFillStyle (unsigned fillStyleIndex, const VSDXTheme *theme) const
VSDOptionalFillStyle | getOptionalFillStyle (unsigned fillStyleIndex) const
VSDOptionalTextBlockStyle | getOptionalTextBlockStyle (unsigned textStyleIndex) const
VSDOptionalCharStyle | getOptionalCharStyle (unsigned textStyleIndex) const
VSDOptionalParaStyle | getOptionalParaStyle (unsigned textStyleIndex) const

## Private Attributes
std::map< unsigned, VSDOptionalLineStyle > | m_lineStyles
std::map< unsigned, VSDOptionalFillStyle > | m_fillStyles
std::map< unsigned, VSDOptionalTextBlockStyle > | m_textBlockStyles
std::map< unsigned, VSDOptionalCharStyle > | m_charStyles
std::map< unsigned, VSDOptionalParaStyle > | m_paraStyles
std::map< unsigned, unsigned > | m_lineStyleMasters
std::map< unsigned, unsigned > | m_fillStyleMasters
std::map< unsigned, unsigned > | m_textStyleMasters

## Constructor & Destructor Documentation

## ◆ VSDStyles() [1/2]

libvisio::VSDStyles::VSDStyles | ( |  | ) |

## ◆ VSDStyles() [2/2]

libvisio::VSDStyles::VSDStyles | ( | const VSDStyles & | styles | ) |
| default

## ◆ ~VSDStyles()

libvisio::VSDStyles::~VSDStyles | ( |  | ) |

## Member Function Documentation

## ◆ addCharStyle()

void libvisio::VSDStyles::addCharStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalCharStyle & | charStyle )

## ◆ addFillStyle()

void libvisio::VSDStyles::addFillStyle | ( | unsigned | fillStyleIndex,
|  | const VSDOptionalFillStyle & | fillStyle )

## ◆ addFillStyleMaster()

void libvisio::VSDStyles::addFillStyleMaster | ( | unsigned | fillStyleIndex,
|  | unsigned | fillStyleMaster )

## ◆ addLineStyle()

void libvisio::VSDStyles::addLineStyle | ( | unsigned | lineStyleIndex,
|  | const VSDOptionalLineStyle & | lineStyle )

## ◆ addLineStyleMaster()

void libvisio::VSDStyles::addLineStyleMaster | ( | unsigned | lineStyleIndex,
|  | unsigned | lineStyleMaster )

## ◆ addParaStyle()

void libvisio::VSDStyles::addParaStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalParaStyle & | paraStyle )

## ◆ addTextBlockStyle()

void libvisio::VSDStyles::addTextBlockStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalTextBlockStyle & | textBlockStyle )

## ◆ addTextStyleMaster()

void libvisio::VSDStyles::addTextStyleMaster | ( | unsigned | textStyleIndex,
|  | unsigned | textStyleMaster )

## ◆ getFillStyle()

libvisio::VSDFillStyle libvisio::VSDStyles::getFillStyle | ( | unsigned | fillStyleIndex,
|  | const VSDXTheme * | theme ) const

## ◆ getOptionalCharStyle()

libvisio::VSDOptionalCharStyle libvisio::VSDStyles::getOptionalCharStyle | ( | unsigned | textStyleIndex | ) | const

## ◆ getOptionalFillStyle()

libvisio::VSDOptionalFillStyle libvisio::VSDStyles::getOptionalFillStyle | ( | unsigned | fillStyleIndex | ) | const

## ◆ getOptionalLineStyle()

libvisio::VSDOptionalLineStyle libvisio::VSDStyles::getOptionalLineStyle | ( | unsigned | lineStyleIndex | ) | const

## ◆ getOptionalParaStyle()

libvisio::VSDOptionalParaStyle libvisio::VSDStyles::getOptionalParaStyle | ( | unsigned | textStyleIndex | ) | const

## ◆ getOptionalTextBlockStyle()

libvisio::VSDOptionalTextBlockStyle libvisio::VSDStyles::getOptionalTextBlockStyle | ( | unsigned | textStyleIndex | ) | const

## ◆ operator=()

VSDStyles & libvisio::VSDStyles::operator= | ( | const VSDStyles & | styles | ) |
| default

## Member Data Documentation

## ◆ m_charStyles

std::map<unsigned, VSDOptionalCharStyle> libvisio::VSDStyles::m_charStyles
| private

## ◆ m_fillStyleMasters

std::map<unsigned, unsigned> libvisio::VSDStyles::m_fillStyleMasters
| private

## ◆ m_fillStyles

std::map<unsigned, VSDOptionalFillStyle> libvisio::VSDStyles::m_fillStyles
| private

## ◆ m_lineStyleMasters

std::map<unsigned, unsigned> libvisio::VSDStyles::m_lineStyleMasters
| private

## ◆ m_lineStyles

std::map<unsigned, VSDOptionalLineStyle> libvisio::VSDStyles::m_lineStyles
| private

## ◆ m_paraStyles

std::map<unsigned, VSDOptionalParaStyle> libvisio::VSDStyles::m_paraStyles
| private

## ◆ m_textBlockStyles

std::map<unsigned, VSDOptionalTextBlockStyle> libvisio::VSDStyles::m_textBlockStyles
| private

## ◆ m_textStyleMasters

std::map<unsigned, unsigned> libvisio::VSDStyles::m_textStyleMasters
| private

The documentation for this class was generated from the following files:

- VSDStyles.h
- VSDStyles.cpp